skip to navigation
skip to content

pydot-ng 1.0.0

Python interface to Graphviz's Dot

Ero Carrera (c) 2004-2007

ero@dkbza.org

This code is distributed under the MIT license.

Requirements:

pyparsing: pydot requires the pyparsing module in order to be
able to load DOT files.
GraphViz: is needed in order to render the graphs into any of
the plethora of output formats supported.

Installation:

Should suffice with doing:

python setup.py install

Needless to say, no installation is needed just to use the module. A mere:

import pydot_ng

should do it, provided that the directory containing the modules is on Python module search path.

This library is API compatible with original pydot so you can use it like this:

import pydot_ng as pydot
 
File Type Py Version Uploaded on Size
pydot_ng-1.0.0.tar.gz (md5) Source 2015-02-26 23KB
pydot_ng-1.0.0.zip (md5) Source 2015-02-26 26KB